Merge " Fix the test output files not found issue."
[ci-management.git] / jjb / tldk / include-raw-tldk-csit-functional-virl.sh
1 #!/bin/bash
2 # Copyright (c) 2017 Cisco and/or its affiliates.
3 # Licensed under the Apache License, Version 2.0 (the "License");
4 # you may not use this file except in compliance with the License.
5 # You may obtain a copy of the License at:
6 #
7 #     http://www.apache.org/licenses/LICENSE-2.0
8 #
9 # Unless required by applicable law or agreed to in writing, software
10 # distributed under the License is distributed on an "AS IS" BASIS,
11 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
12 # See the License for the specific language governing permissions and
13 # limitations under the License.
14
15 set -xeu -o pipefail
16
17 # Clone tldk and start tests
18 git clone https://gerrit.fd.io/r/tldk
19
20 # If the git clone fails, complain clearly and exit
21 if [ $? != 0 ]; then
22     echo "Failed to run: git clone https://gerrit.fd.io/r/tldk"
23     exit 1
24 fi
25
26 # Clone csit and start tests
27 git clone https://gerrit.fd.io/r/csit
28
29 # If the git clone fails, complain clearly and exit
30 if [ $? != 0 ]; then
31     echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
32     exit 1
33 fi
34
35 # Move the tldk to the csit dir
36 sudo mv -f ./tldk/ ./csit/
37
38 cd csit
39
40 # execute nsh_sfc bootstrap script if it exists
41 if [ -e bootstrap-TLDK.sh ]
42 then
43     # make sure that bootstrap-TLDK.sh is executable
44     chmod +x bootstrap-TLDK.sh
45     # run the script
46     ./bootstrap-TLDK.sh
47 else
48     echo 'ERROR: No bootstrap-TLDK.sh found'
49     exit 1
50 fi
51
52 # vim: ts=4 ts=4 sts=4 et :